<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Ajax</title>
<style>
table, th, td {
  border: 1px solid grey;
  border-collapse: collapse;
  padding: 5px;
}

table tr:nth-child(odd) {
  background-color: #f2f2f2;
}

table tr:nth-child(even) {
  background-color: #ffffff;
}
</style>
</head>
<body>
  <h2>AngularJS Sample Application</h2>
  <div ng-app="myApp08" ng-controller="studentController">
    <table>
      <tr>
        <th>Name</th>
        <th>Roll No</th>
        <th>Percentage</th>
      </tr>
      <tr ng-repeat="student in students">
        <td>{{ student.Name }}</td>
        <td>{{ student.RollNo }}</td>
        <td>{{ student.Percentage }}</td>
      </tr>
    </table>
  </div>
  <script>
      function studentController($scope, $http) {
        var url = "js/data.txt";
        $http.get(url).success(function(response) {
          $scope.students = response;
        });
      }
    </script>

  <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/angularjs/1.2.15/angular.min.js"></script>
  <script type="text/javascript" src="js/mainApp.js"></script>
</body>
</html>